	subroutine display

	implicit none

	include 'GL/fgl.h'

	common /vozila/ y(5), v(5)

	real y, v, pas

	integer i

	data y /0,50,120,170,200/

	data v /50,30,45,31,33/

	call fglclear(GL_COLOR_BUFFER_BIT+GL_DEPTH_BUFFER_BIT)

	call fglPushMatrix

	call fglRotatef(-45.0, 0.0, 0.0, 1.0)

	call fglTranslatef(0.0, -1.0, 0.0)

	call fglScalef(0.004, 0.004, 0.004)

	call fglcolor3f(0.0, 0.0, 0.0)

	call fglRectf(-4.0, 0.0, 4.0, 500.0)

	call fglTranslatef(0.0, -50.0, 0.0)

	do i=1,5

	   if (i.ne.5 .and. y(i+1)-y(i).lt.10.0) then

	     pas=-2.0

	   else

	      pas = 2.0

	   end if

	   call vozilo(y(i), pas)

	end do

	call fglPopMatrix

	call fglutSwapBuffers

	end



	subroutine vozilo(y, pas)

	call fglPushMatrix

	call fglColor3f(1.0, 1.0, 1.0)

	call fglTranslatef(pas, y, 0.5)

	call fglRectf(-2.0, 0.0, 2.0, 6.0)

	call fglPopMatrix

	end



	subroutine ura(vozilo)

	common /vozila/ y(5), v(5)

	real y, v, dt

	integer vozilo

	dt = 0.1

	do i=1,5

 	  y(i)=y(i)+v(i)*dt

	end do

	call fglutPostRedisplay

	call fglutTimerfunc(100, ura, 0)

	end





	program crta

	external display

	external ura

	include 'GL/fglut.h'
	include 'GL/fgl.h'

	integer window

	call fglutinit

	call fglutinitdisplaymode(GLUT_RGB+GLUT_DOUBLE)

	window = fglutcreatewindow('Fortran GLUT program')

	call fglClearColor(0.0, 0.5, 0.0)

	call fglutdisplayfunc(display)

	call fglutTimerfunc(100, ura, 0)
	call fglEnable(GL_DEPTH_TEST)

	call fglutmainloop

	end

