Copyright 2002, Leon Kos, University of Ljubljana	

	subroutine display
	implicit none
	include 'GL/fgl.h'
	common /rotation/ rx, ry, rz
	real rx, ry, rz
	real*8 r 
	data r /0.5/	

	call fglclear(GL_COLOR_BUFFER_BIT)
	call fglcolor3f(0.5, 0.4, 1.0)
	call fglpushmatrix
	call fglrotatef(rx, 1.0, 0.0, 0.0)
	call fglrotatef(ry, 0.0, 1.0, 0.0)
	call fglrotatef(rz, 0.0, 0.0, 1.0)
	call fglutwireteapot(r)
	call fglpopmatrix
	call fglutswapbuffers
	end

	subroutine keyboard(key,x,y)
	common /rotation/ rx, ry, rz
	integer key,x,y
	print *, 'Key ', char(key),  key, ' at', x, y
	if (key .eq. ichar('x')) rx = rx + 5.0
	if (key .eq. ichar('y')) ry = ry + 5.0
	if (key .eq. ichar('z')) rz = rz + 5.0
	call fglutpostredisplay
	end

	program crta
	external display
	external keyboard
	include 'GL/fglut.h'
	integer window
	call fglutinit
	call fglutinitdisplaymode(ior(GLUT_DOUBLE,GLUT_RGB))
	window = fglutcreatewindow('Use keys x, y, and z')
	call fglutdisplayfunc(display)
	call fglutkeyboardfunc(keyboard)
	call fglutmainloop
	end
